<p align="center">
  <img height="150" src="./src/icon_128.png">
  <h1 align="center">LinkyLinky 4 Chrome</h1>
  <h3 align="center">A simple, privacy focused urls shortner</h3>
</p>

## 👀 Preview
<img height="300" src="./docs/fullpage_opened.webp">
<img height="300" src="./docs/fullpage_created.webp">
<img height="150" src="./docs/extension_opened.webp">
<img height="150" src="./docs/extension_created.webp">
<img height="400" src="./docs/fullpage_copy.webp">

## ⚡ Installation
- Download the `linkylinky-chrome.zip` from [the lastest release](https://git.odit.services/kauft.es/linkylinky-chrome/releases)
- Unzip the file
- Go to [Chrome Extensions](chrome://extensions/) (`chrome://extensions/`)
- Turn on `Developer Options` in the top right
- Click on `Load Unpacked` in the top left
- Select the unziped folder ("linkylinky-chrome")

## 🛠 Dev Setup 
> Runs on port 3000

#### Yarn
```bash
yarn
yarn dev
```

#### NPM
```bash
npm i
npm run dev
```

## 🚢 Build 
#### Yarn
```bash
yarn
yarn build
# Optional to create the zip
yarn build:package
```

#### NPM
```bash
npm i
npm run build
# Optional to create the zip
npm run build:package
```

## 🏴 Roadmap/ Progress
- [x] Basic README
- [x] Publish to git
- [x] Basic functionality
    - [x] Create generated urls
    - [x] Create custom urls
    - [x] Copy shorturl to deskop
    - [x] Notify on copy
    - [x] Generate another url
    - [x] Disable bot crawling/chat preview on demand
    - [x] Use clientside redirect w/ animation
- [x] Provide different url
- [x] Project Logo™
- [x] Basic error handling
- [x] Finalize styling
- [x] Advanced project stuff
  - [x] Purge delivered css
  - [x] Build script
  - [x] Automagic builds via drone
  - [x] Delivery as zip

## Credits
* ClipboardJS by Zeno Rocha licensed under MIT - Website: https://clipboardjs.com/ - Repo: https://github.com/zenorocha/clipboard.js
* TailwindCSS by TailwindLabs licensed under MIT - Website: https://tailwindcss.com - Repo: https://github.com/tailwindlabs/tailwindcss
* LinkyLinky Server: https://git.odit.services/kauft.es/linkylinky